import type { ExternalPost } from '../../shared/types/Blog'

export default defineEventHandler(async (): Promise<ExternalPost[]> => {
  // Robert
  const webertoireResponse: ExternalPost = await (await fetch('https://robertjanus.de/blog.json')).json()
  const webertoireCut = webertoireResponse.posts.slice(0, 3).filter(filterBeforeFirstPost)

  return [
    {
      author: webertoireResponse.author,
      posts: webertoireCut,
    },
  ]
})